GBBIN(1)

NAME
gbbin - A program to bin data

SYNOPSIS
gbbin [options]

DESCRIPTION
Compute binned statistics. Data are read from standard input as records (X,Y1,Y2,...). Equipopulated bins are built with respect to the first field X. Option -O decide which statistics are printed for each bin. With options -x, -y or -c elements in different bins are split in different columns.

OPTIONS

-n  set the number of equipopulated bins (default 10)

-w  min,max set manually the binning window. Ignored with -x,-y and -c

-O  set the output with a comma separated list of variables: xmean, xmin, xmax, xstd, xmedian, ymean, yadev, ystd, yvar, yskew, ykurt, ymin, ymax, ymedian, num (default xmean, ymean)

-c# the values in column # are split in different columns; # can be a comma separated list of columns

-x  equivalent to -c 1

-y  equivalent to -c 2

-F  specify the input fields separators (default " \t")

-v  verbose mode

EXAMPLES

gbbin -n 20 < file
    split the records (line) in 20 bins according to first field. Print the average value of the bin entries for each column. If 'file' has 3 columns, the output has twenty rows and three columns.

gbbin -O ymedian < file
    bin the records with respect to the first value and print the median value of the other columns in each bin

gbbin -c 3 < file
    the binned values of the third columns are printed on separate columns. The output has ten columns.

AUTHOR
Written by Giulio Bottazzi

REPORTING BUGS
Report bugs to <gbutils@googlegroups.com>

Package home page <http://cafim.sssup.it/~giulio/software/gbutils/index.html>

COPYRIGHT
Copyright © 2001-2018 Giulio Bottazzi This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License (version 2) as published by the Free Software Foundation;

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.